import unittest

from quersumme import quersumme
from quersumme import factorial
from quersumme import fromBinary

import xmlrunner 

class QuersummeTest(unittest.TestCase):
    def test1(self):
        self.assertEqual(5, quersumme(5))
    def test2(self):
        self.assertEqual(7, quersumme(88))
    def test3(self):
        self.assertEqual(1, quersumme(42669865576565465698776956468756754534535))
    def test4(self):
        self.assertEqual(1, factorial(1))
    def test5(self):
        self.assertEqual(120, factorial(5))
    def test6(self):
        self.assertEqual(479001600, factorial(12))

    def test7(self):
        self.assertEqual(42, fromBinary("101010"))
    def test8(self):
        self.assertEqual(0, fromBinary("0000000"))
    def test9(self):
        self.assertEqual(255, fromBinary("11111111"))

  
if __name__ == '__main__':
    suite = unittest.TestLoader().loadTestsFromTestCase(QuersummeTest)
    xmlrunner.XMLTestRunner(output=".").run(suite)
    